# DACreateNaturalVector

Creates a parallel PETSc vector that will hold vector values in the natural numbering, rather than in the PETSc parallel numbering associated with the DA.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DACreateNaturalVector(DA da,Vec* g)

Collective on DA

### Input Parameter

da -the distributed array

### Output Parameter

g -the distributed global vector

### Note

The output parameter, g, is a regular PETSc vector that should be destroyed with a call to VecDestroy() when usage is finished.

The number of local entries in the vector on each process is the same as in a vector created with DACreateGlobalVector().

### Keywords

distributed array, create, global, distributed, vector

### See Also

DACreateLocalVector(), VecDuplicate(), VecDuplicateVecs(),
DACreate1d(), DACreate2d(), DACreate3d(), DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DALocalToGlobal()

Level:developer
Location: src/dm/da/src/dadist.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages